Page MenuHomePhabricator

India bank transfer icons and/or test redesign
Closed, ResolvedPublic1 Estimated Story Points

Description

The India bank transfer form
https://payments.wikimedia.org/index.php?title=Special:AstroPayGateway&appeal=JimmyQuote&payment_method=bt&recurring=&uselang=en&language=en&currency=INR&amount=140&country=IN&ffname=astropay-in

has 2 icons that allow you to choose between transfer options.

A user reported ""Bank transfer: I missed to provide information on it on last email, I would prefer to have text added in addition to icon like netbanking or bank transfer to make it clear for donors (of course just a suggestion). "

Fr-tech would need designs and maybe help making assets. Should the text be readable in the icon or should there be text underneath each icon? If so, what should this text be?

Event Timeline

DStrine created this task.Jul 22 2019, 9:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2019, 9:20 PM

I suggest going with 'Netbanking' for now and allowing further user test to decide what to write there ;)

DStrine added a subscriber: Ejegg.Jul 24 2019, 3:32 AM

@Ppena @spatton @scervantes I just want to be clear on design direction here. @Ejegg mentioned this on the email. If we bake the text into the icon, it can't be translated. Do we put this in the icon or below it and translate it?

Also there is text on the other icon but it's too small for me to read. What is that supposed to be and should it be easier to read?

Change 530241 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Add Netbanking sub text, shrink logo

https://gerrit.wikimedia.org/r/530241

Change 530241 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add Netbanking sub text, shrink logo

https://gerrit.wikimedia.org/r/530241

OK, the Netbanking icon is now a bit smaller, with text 'Netbanking' below.

@DStrine, if I squint hard I can read "Unified Payments Interface" under the UPI logo.

Ejegg closed this task as Resolved.Aug 19 2019, 3:36 PM
Ejegg claimed this task.
Ejegg triaged this task as Medium priority.
Ejegg changed the point value for this task from 0 to 1.